function error(message) {
    const errorContainer = document.getElementById("mao-error");
    const errorElement = document.getElementById("mao-error-message");

    errorElement.innerText = message || "unknown error";
    errorContainer.classList.remove("hidden");
}

